Chuyển đến nội dung
Diễn đàn CADViet
Đăng nhập để thực hiện theo  
buithethanh_a2k30

Lisp tạo mặt cắt

Các bài được khuyến nghị

Bạn nào có lisp tạo mắt cắt không vậy, mình đang rất cần. Cảm ơn các bạn nhiều nhé ! :lol:

Bạn cần tạo mặt cắt của cái gì vậy. Bạn nói thế này thì đố ai hiểu được.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Chắc ý bạn ý là cái lisp vẽ ra nét cắt bác ạ.Nếu đúng thì của bạn đây.Còn không thì mời bạn nói rõ nguyện vọng,để mọi người hiểu ^^

 (Defun c:nc(/ p1 p2 p3 p4 p5 p6 p11 p12 l ang)
(setq x (getvar "osmode"))
(setq p1 (getpoint "Diem dau: ")
      p2 (getpoint p1 "Diem cuoi : "))
(setq l (distance p1 p2))
(setq p11 (polar p1 (angle p2 p1) (/ l 5))
      p12 (polar p2 (angle p1 p2) (/ l 5)))
(setq ang (angle p1 p2))
(setq p3 (polar p1 ang (/ l 2.5))
      p4 (polar p3 (+ (/ pi 2) ang) (/ l 5))
      p5 (polar p3 ang (/ l 5))
	p6 (polar p5 (- ang (/ pi 2)) (/ l 5)))
(setvar "osmode" 0)
(command "pline" p11 p3 p4 p6 p5 p12 "")
(setvar "osmode" x)
)

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Ồ,cái đấy sao gọi là lisp tạo mặt cắt được ^^.Mình chưa vẽ 3D bao giờ n mình nghĩ là bạn chọn view 2D theo mặt cắt bạn cần là ra thôi

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Sorry Ketxu nha. Mình lấy file nc.lsp của Ketxu chỉnh sửa lại 1 tí. Vẽ nét cắt theo ý muốn

http://www.cadviet.c...5557_nc_mod.lsp

 

Mình phải cám ơn những người không bị động và nhiệt tình như bạn mới phải chứ - XIn lỗi chi ^^

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay

Đăng nhập để thực hiện theo  

×